import { Injectable } from "@angular/core";
import { BehaviorSubject } from "rxjs";
import { Server } from "../models/data/server.model";
import { NavigationEnd, Router } from "@angular/router";

@Injectable({
  providedIn: "root"
})
export class ServerService {


  server$ = new BehaviorSubject<Server | null>(null);

  constructor(
    private router: Router
  ) {
    this.router.events.subscribe(event => {
      if (!(event instanceof NavigationEnd)) {
        return;
      }
      if (!event.url.startsWith("/server/") && this.server$.value) {
        this.setServer(null);
      }
    });
  }

  setServer(server: Server | null) {
    if (!server) {
      this.server$.next(server);
      return;
    }
    if (server.id != this.server$.value?.id) {
      this.server$.next(server);
    }
  }
}
